<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: inc/application.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('application_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">application.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="application_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _APPLICATION_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define _APPLICATION_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">/* Includes ------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="main_8h.html">main.h</a>&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">/* Exported types ------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="structmeasured__data__t.html">   16</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  <span class="keywordtype">float</span> u_ref[6];</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <span class="keywordtype">float</span> u[6];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;} <a class="code" href="structmeasured__data__t.html">measured_data_t</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">/* Exported constants --------------------------------------------------------*/</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">//#define DEBUG_MODE</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="application_8h.html#ae50dd200af8b9f7da9406922f71655bc">   31</a></span>&#160;<span class="preprocessor">#define U_DIFF ((uint16_t)100)</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#ifndef DEBUG_MODE</span></div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="application_8h.html#a71be4a990011c7b00830abf5f3b2190d">   37</a></span>&#160;<span class="preprocessor">    #define USE_WATCHDOG</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="application_8h.html#a6a53a6c94a70cc286e300a0ea8f46ba4">   43</a></span>&#160;<span class="preprocessor">#define USART_BAUDRATE  ((uint32_t)9600)</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#define LPUART_BAUDRATE ((uint32_t)9600)</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="application_8h.html#a304fd59b0fc2e8306dc3593bfa339e85">   49</a></span>&#160;<span class="preprocessor">#define LED_PORT_PIN ((GPIOInstance_t *)&amp;PC14)</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#define USART_PORT_PIN_RX ((GPIOInstance_t *)&amp;PA10)</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#define USART_PORT_PIN_TX ((GPIOInstance_t *)&amp;PA9)</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#define USART_ALTERNATIVE_FUNCTION_RX ((GPIOAlternativeFunction_t) ALTERNATIVE_FUNCTION_4)</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#define USART_ALTERNATIVE_FUNCTION_TX ((GPIOAlternativeFunction_t) ALTERNATIVE_FUNCTION_4)</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#define LPUART_PORT_PIN_RX ((GPIOInstance_t *)&amp;PA13)</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#define LPUART_PORT_PIN_TX ((GPIOInstance_t *)&amp;PA14)</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#define LPUART_ALTERNATIVE_FUNCTION_RX ((GPIOAlternativeFunction_t) ALTERNATIVE_FUNCTION_6)</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#define LPUART_ALTERNATIVE_FUNCTION_TX ((GPIOAlternativeFunction_t) ALTERNATIVE_FUNCTION_6)</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#define IR_DIODE_1_4_PORT_PIN ((GPIOInstance_t *)&amp;PA0)</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#define IR_DIODE_2_5_PORT_PIN ((GPIOInstance_t *)&amp;PA1)</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#define IR_DIODE_3_6_PORT_PIN ((GPIOInstance_t *)&amp;PA2)</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_1_PORT_PIN ((GPIOInstance_t *)&amp;PA3)</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_2_PORT_PIN ((GPIOInstance_t *)&amp;PA4)</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_3_PORT_PIN ((GPIOInstance_t *)&amp;PA5)</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_4_PORT_PIN ((GPIOInstance_t *)&amp;PA6)</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_5_PORT_PIN ((GPIOInstance_t *)&amp;PA7)</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_6_PORT_PIN ((GPIOInstance_t *)&amp;PB1)</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_1_PORT_PIN_ADC_CHANNEL ((uint8_t)3)</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_2_PORT_PIN_ADC_CHANNEL ((uint8_t)4)</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_3_PORT_PIN_ADC_CHANNEL ((uint8_t)5)</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_4_PORT_PIN_ADC_CHANNEL ((uint8_t)6)</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_5_PORT_PIN_ADC_CHANNEL ((uint8_t)7)</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#define IR_TRANSISTOR_6_PORT_PIN_ADC_CHANNEL ((uint8_t)9)</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#define LAST_BOARD_DETECT_PORT_PIN  ((GPIOInstance_t *)&amp;PA14)</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="application_8h.html#a98374b3ed7ab743e79aaff799fc0c737">   84</a></span>&#160;<span class="preprocessor">#define NORMAL_INDEX    ((uint8_t)0x40)</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#define START_INDEX     ((uint8_t)0xA0)</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#define END_INDEX       ((uint8_t)0xC0)</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#define START_END_INDEX ((uint8_t)0x80)</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#define ERROR_INDEX     ((uint8_t)0xE0)</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#define IS_NORMAL_INDEX(index)        ((((index) &amp; NORMAL_INDEX)    == NORMAL_INDEX)    ? 1 : 0)</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="preprocessor">#define IS_START_INDEX(index)         ((((index) &amp; START_INDEX)     == START_INDEX)     ? 1 : 0)</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#define IS_END_INDEX(index)           ((((index) &amp; END_INDEX)       == END_INDEX)       ? 1 : 0)</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#define IS_START_END_INDEX(index)     ((((index) &amp; START_END_INDEX) == START_END_INDEX) ? 1 : 0)</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#define IS_ERROR_INDEX(index)         ((((index) &amp; ERROR_INDEX)     == ERROR_INDEX)     ? 1 : 0)</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#define SET_NORMAL_INDEX(index)     (((index) &amp; ~0xE0) | NORMAL_INDEX)</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#define SET_START_INDEX(index)      (((index) &amp; ~0xE0) | START_INDEX)</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#define SET_END_INDEX(index)        (((index) &amp; ~0xE0) | END_INDEX)</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#define SET_START_END_INDEX(index)  (((index) &amp; ~0xE0) | START_END_INDEX)</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="preprocessor">#define SET_ERROR_INDEX(index)      (((index) &amp; ~0xE0) | ERROR_INDEX)</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="application_8h.html#af2e439f2b04834d172773e10ee426317">  105</a></span>&#160;<span class="preprocessor">#define T_PERIOD_S ((float)200e-6)</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="application_8h.html#aa4805281aa2b04894f32e3da9e5a340e">  110</a></span>&#160;<span class="preprocessor">#define LED_ON_TIME_S  ((float)150e-6)</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#define LED_OFF_TIME_S ((float)150e-6)</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">/* Exported macro ------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment">/* Exported functions ------------------------------------------------------- */</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> startup_sequence(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="application_8h.html#a972149ddf8c5a245a0457877732117bc">set_led</a>(uint8_t on);</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _APPLICATION_H */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div>
<div class="ttc" id="application_8h_html_a972149ddf8c5a245a0457877732117bc"><div class="ttname"><a href="application_8h.html#a972149ddf8c5a245a0457877732117bc">set_led</a></div><div class="ttdeci">void set_led(uint8_t on)</div><div class="ttdoc">configures the led and turns it on or off </div><div class="ttdef"><b>Definition:</b> application.c:386</div></div>
<div class="ttc" id="main_8h_html"><div class="ttname"><a href="main_8h.html">main.h</a></div><div class="ttdoc">Header for main.c module. </div></div>
<div class="ttc" id="structmeasured__data__t_html"><div class="ttname"><a href="structmeasured__data__t.html">measured_data_t</a></div><div class="ttdef"><b>Definition:</b> application.h:16</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="application_8h.html">application.h</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
